# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:api,cmdc审核其他状态的需求单,2250,2250-6,sit,bs
主数据平台:运营后台管理系统需求单审核拒绝接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json


module = "cmdc_demand_fail"

url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url")
print(url)
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
# cmdc_access_token = CmdcDoLogin("admin2", "FFtmods@365y").get_token()
print(cmdc_access_token)
headers = commonFuc().get_business_data(module, "json_headers1",cmdc_access_token)
print(headers)
request_body = commonFuc().get_business_data(module, "payload4")
print(request_body)
"""
 场景:审核其他状态下的需求单
 用例名称：审核其他状态下的需求单
 输出：{"success":true,"code":"200","message":"OK","data":1,"freshToken":"eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJ1c2VySWQiOjIsInVzZXJOYW1lIjoiYWRtaW4yIiwidGltZSI6MTY5NDM5NDA0NjA3N30.JQgyXjLa5rH9XKIebln5rpPG4aasKNmVJbWA9UYu7PU"}
"""
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict4")
print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
