# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:api,cmdc重复审核,2250,2250-6,sit,bs
主数据平台:运营后台管理系统需求单审核拒绝接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json


module = "cmdc_demand_fail"

url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url")
print(url)
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
password = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
# cmdc_access_token = CmdcDoLogin("admin2", "FFtmods@365y").get_token()
print(cmdc_access_token)
headers = commonFuc().get_business_data(module, "json_headers1",cmdc_access_token)
print(headers)
request_body = commonFuc().get_business_data(module, "payload2")
print(request_body)
"""
 场景:重复审核同一个需求单
 用例名称：重复审核同一个需求单
 输出：{"success":false,"code":"demand","message":"订单已拒绝，无法重复拒绝","data":null,"freshToken":null}
"""
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict2")
print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)